#ifndef HARMSPHER_SEEN
#define HARMSPHER_SEEN

double HarmSph_array_teta(int lmax,int m,double teta,double *xlm);

inline double HarmSph_array(int lmax,int m,double x,double *xlm)
  {
  if(x>1.) x=1.; else if(x<-1.) x=-1.;
  return HarmSph_array_teta(lmax,m,acos(x),xlm);
  }

#endif
